<app-header></app-header>
<div class="cursor" [ngClass]="{cursor: processingEvent}">
    <div *ngFor="let items of fieldMatrix | async; let int = index" class="game">
        <div *ngFor="let item of items; let i = index" class="position">
            <app-field (fieldOnClick)="processing($event)" [position]="{x: int, y: i}" [field]="item"></app-field>
        </div>
    </div>
</div>
<app-unit-field
        *ngFor="let unit of units | async"
        [player]="unit" (unitOnClick)="processingAdd($event)"
        (unitOnRightClick)="processingOnClick($event)"></app-unit-field>
<app-info-tab
        [unitIs]="processingEvent"
        (create)="createCity()"
        (build)="createBuilding($event)"></app-info-tab>
<app-city class="index"
          *ngFor="let city of cities"
          [appUnit]="city" [cityObj]="city"
          (moveOnField)="processing($event)"></app-city>

<app-unit-field *ngFor="let unit of unitsEnemy | async"
                [player]="unit"
                (unitOnRightClick)="processingOnClick($event)"></app-unit-field>
<app-city class="index"
          *ngFor="let city of citiesEnemy | async"
          [appUnit]="city" [cityObj]="city"
          (cityOnRightClick)="citySiege($event)"></app-city>

<button class="next-move" (click)="nextMove()">Next Move</button>
<button (click)="saveGame()">Save game</button>
<button class="technology" (click)="goToTech()">technology</button>
